Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeSecurityGroupsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeSecurityGroupsResult

    public class DescribeSecurityGroupsResult

extends Object

The result of describing the Amazon EC2 security groups for your account.

Constructor Summary
`DescribeSecurityGroupsResult()`

Method Summary
`List<SecurityGroup>` | `getSecurityGroups()` The list of described Amazon EC2 security groups.
`void` | `setSecurityGroups(Collection<SecurityGroup> securityGroups)` The list of described Amazon EC2 security groups.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeSecurityGroupsResult` | `withSecurityGroups(Collection<SecurityGroup> securityGroups)` The list of described Amazon EC2 security groups.
`DescribeSecurityGroupsResult` | `withSecurityGroups(SecurityGroup... securityGroups)` The list of described Amazon EC2 security groups.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeSecurityGroupsResult

    public DescribeSecurityGroupsResult()

Method Detail

### getSecurityGroups

    public List<SecurityGroup> getSecurityGroups()

  The list of described Amazon EC2 security groups.

  Returns:
    The list of described Amazon EC2 security groups.

### setSecurityGroups

    public void setSecurityGroups(Collection<SecurityGroup> securityGroups)

  The list of described Amazon EC2 security groups.

  Parameters:
    `securityGroups` - The list of described Amazon EC2 security groups.

### withSecurityGroups

    public DescribeSecurityGroupsResult withSecurityGroups(SecurityGroup... securityGroups)

  The list of described Amazon EC2 security groups.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `securityGroups` - The list of described Amazon EC2 security groups.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSecurityGroups

    public DescribeSecurityGroupsResult withSecurityGroups(Collection<SecurityGroup> securityGroups)

  The list of described Amazon EC2 security groups.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `securityGroups` - The list of described Amazon EC2 security groups.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.